Joomla! 1.7 – stabilna i bezpieczna (aktualizacja)

Facebooktwittergoogle_plusredditpinterestlinkedintumblrmailFacebooktwittergoogle_plusredditpinterestlinkedintumblrmail

Zgodnie z nowym cyklem wydawniczym wczoraj pojawiła się Joomla! 1.7. Jest to wydanie stabilne, a co najważniejsze z załataną dziurą bezpieczeństwa (luka XSS), którą dotkniete są poprzednie wersje 1.6.x. Tym samym zespół odpowiedzialny za nowe wydanie sugeruje, a wręcz zaleca wszystkim administratorom aktualizacje. Tak mamy tu bowiem do czynienia z aktualizacją, a nie migracją jak było poprzednio. Spolszczenie wykonane dla wersji RC oczywiście pasuje, ale PCJ pracuje już nad kolejną wersją.

Aktualizacja !  uwaga jest już Joomla 1.7.1

Kolejna wersja Joomla! tym razem 1.8 (jednak v2.5!) planowana jest na styczeń/luty jeśli wierzyć doniesieniom.

Aktualnie wszystkie firmy web developerskie związane z Joomla! pracują bardzo intensywnie m.in. Gavick.com – aby dostarczyć swoim klientom szablony zgodne z najnowszym wydaniem Joomla! 1.7. Pewna część firm będzie nadal budować szablony dla Joomla! 1.5 i równocześnie dla 1.7, zupełnie pomijając 1.6, co zrozumiałe. Ponieważ J1.5 będzie wspierana aż do kwietnia 2012.

Więcej informacji co się zmieniło znajdziesz na oficjalnej stronie joomla.org . Przed aktualizacją zapoznaj się z  update instructions .

Uwaga,  jeśli podczas aktualizacji zobaczysz błąd „Fatal error: Cannot instantiate abstract class JDatabaseQuery”  <- zapoznaj się z tym artykułem.

  • Maciej

    Nigdy nie widziałem takiego burdelu w oznaczeniach oprogramowania jakie ma Joomla.
    1.5->1.6 – brak mozliwosci aktualizacji chcociaz wersje roznia sie tylko numerkiem o 0.1, a na dodatek brak oficjalnego narzędzia migracyjnego w momencie premiery wersji 1.6 (wtf?!)
    1.6->1.7 – możliwa aktualizacja

    Burdel panowie i niekonsekwencja!

  • Oj, nie jest tak źle, JomSocial to dopiero ma szał numeracji.

  • Fakt, że nie ma oficjalnego narzędzia migracji nie zmienia faktu że istnieje „nieoficjalne” i działa bardzo dobrze.

  • A jak się nazywa to nieoficjalne, które dobrze działa? Jeszcze nie migrowałem, stąd pytanie.

  • jUpgrade – pisałem już o nim.

  • Brok

    Hmmmm, wszystkie moje serwisy stoją na J! 1.5.22, czy to już dobra pora przesiadać się na J! 1.7?

  • Oskar

    Na pewno warto zaktualizować do 1.5.23. Jeśli nie potrzebujesz funkcjonalności z J1.7 – szkoda czasu i ew. pieniędzy na migracje.

  • Brok

    Tfu, literówka – oczywiście, że mam 1.5.23 . Kwestie pieniędzy odpadają, bo migrację sam przeprowadzę; czas będzie problemem, ale najwyżej noc zarwę :). Co do funkcjonalności to prawdę mówiąc nie wiem – nie interesowałem się gałęzią 1.6 (chciałem poczekać aż się spopularyzuje, a tu już 1.7…).

  • Marcin

    Ja już się pogubiłem w tym wszystkim 🙁
    Zawsze używałem 1.5.XX i było dobrze, teraz jest 1.6, ba nawet 1.7 i już sam nie wiem czego używać 🙁 muszę zrobić nowy portal i nie wiem na czym go postawić 1.5 czy 1.7 🙁
    Czy szablony z 1.6 będą śmigać na 1.7 ? Już sam nie wiem co robić czy stawiać 1.5 + szablon z Gavick czy czekać aż Gavick wyda szablony 1.7 ???

  • Han

    A ja robie male rzeczy na J1.5.23 i poczekam z 1.7-1.8 pare miechow, bo panowie nie samą Joomla czlowiek zyje tylko jej pluginami 😉

  • Nie będzie 1.8, skaczą od razu do 2.x

  • mirek

    Witajcie,

    a czy aktualizacja z Joomla! 1.0.13 Stable do Joomla 1.7 jest możliwa?

    Pozdrawiam

  • Tak, ale jest to pracochłonne. Są dwie szkoły-metody:
    1) Migracja 1.0.x do 1.5 –> 1.6 –> 1.7
    2) Import artykułów z 1.0.x do 1.7 za pomocą komponentu komercyjnego.

    Komponenty , moduły — tyle zabawy, że czasami nie warto, lepiej poszukać nowych odpowiedników, na ogół lepszych. Co się tyczy szablonu – wszystko zależy od szablonu.